%global debug_package %{nil}
%if 0%{?fedora} <= 22 || (0%{?rhel} != 0 && 0%{?rhel} <= 7)
%global pypkg python
%global pysitelib %{python_sitelib}
%global __python %{__python2}
%if 0%{?fedora}
%global pylint pylint
%endif
%else
%global pypkg python3
%global pysitelib %{python3_sitelib}
%global __python %{__python3}
%global pylint python3-pylint
%endif

%global commit ca1e384502c46a275ee1d2467e1e8c494b31cbf3
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name: atomic
Version: 1.6
Release: 6.git%{shortcommit}%{?dist}
Summary: Tool for managing ProjectAtomic systems and containers
License: LGPLv2+
URL: https://github.com/projectatomic/atomic
ExclusiveArch: x86_64
Source0: https://github.com/projectatomic/%{name}/archive/%{commit}.tar.gz

BuildRequires: %{pypkg}-devel
%if 0%{?fedora}
BuildRequires: %{pylint}
%endif
BuildRequires: %{pypkg}-requests
BuildRequires: %{pypkg}-tools
BuildRequires: %{pypkg}-dbus
BuildRequires: %{pypkg}-setuptools
BuildRequires: policycoreutils-%{pypkg}
BuildRequires: go-md2man
BuildRequires: %{pypkg}-docker-py >= 1.4.0-118

Requires: dbus
Requires: docker
Requires: polkit
Requires: setup
Requires: %{pypkg}-setuptools
Requires: %{pypkg}-requests
Requires: %{pypkg}-docker-py >= 1.4.0-118
Requires: %{pypkg}-websocket-client >= 0.11.0
Requires: %{pypkg}-six >= 1.3.0


%description
The goal of Atomic is to provide a high level, coherent entrypoint to the
system, and fill in gaps.

For Docker, atomic can make it easier to interact with special kinds of
containers, such as super-privileged debugging tools and the like.

The atomic host subcommand wraps rpm-ostree, currently just providing a
friendlier name, but in the future Atomic may provide more unified
management.

%prep
%setup -qn %{name}-%{commit}

%build
make PYTHON=%{__python} PYLINT=%{?pylint} all

%install
make PYTHON=%{__python} PYLINT=%{?pylint} install DESTDIR=%{buildroot}

%check
[ ! -w /run/docker.sock ] || make PYTHON=%{__python} test

%files
%doc COPYING README.md
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.%{name}.conf
%{pysitelib}/Atomic
%{pysitelib}/%{name}*.egg-info
%{_sysconfdir}/profile.d/%{name}.sh
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/bash-completion/completions/%{name}
%{_datadir}/dbus-1/system-services/org.%{name}.service
%{_datadir}/polkit-1/actions/org.%{name}.policy
%{_mandir}/man1/%{name}*


%changelog
* Wed Nov 04 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.6-6.gitca1e384
- update python-docker-py dependency over what was shipped in 7.1.6 and 7.2.0

* Wed Nov 04 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.6-5.gitea18c14
- correct bogus date annoyance

* Wed Nov 04 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.6-4.gitea18c14
- Resolves: rhbz#1278145 - depend on python-docker-py >= 1.4.0-118

* Tue Nov 03 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.6-3.gitea18c14
- Resolves: rhbz#1272037
- built atomic commit#ea18c14

* Thu Oct 29 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.6-2.git50d7fd9
- built atomic commit#50d7fd9

* Thu Oct 22 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.6-1.gitca1e384
- built atomic commit#ca1e384
- Resolves: rhbz#1273365

* Fri Oct 09 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5-4.git7e4365f
- built atomic @origin/master commit#7e4365f
- re-include python-setuptools at build and runtime

* Tue Oct 06 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5-3.git82f4324
- Resolves: rhbz#1268926
- no dependency on python-setuptools
- depends on python-dbus at buildtime
- built atomic @origin/master commit#82f4324

* Wed Sep 30 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.5-2.git191fb53
- Resolves: rhbz#1265974 (extras-rhel-7.1.6) - include atomic
- Resolves: rhbz#1211359 (extras-rhel-7.2) - include atomic
- built atomic @origin/master commit#191fb53

* Wed Sep 23 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.4-3.git9d724aa
- ping version req for python-docker-py

* Mon Sep 14 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.4-2.git9d724aa
- unpin python-requests version requirement

* Mon Sep 14 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.4-1.git9d724aa
- built master commit#9d724aa
- scan subcommand added
- br: python-requests >= 2.4.3

* Mon Aug 03 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.1-1.git5f631c8
- bump to 1.1
- buildrequires policycoreutils-python(3)

* Fri Jul 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 1.0-1.git52d695c
- version 1.0 as per setup.py
- use latest upstream master commit
- run test only if docker.sock writable

* Tue Jul 14 2015 Miro Hrončok <mhroncok@redhat.com> - 0-0.12.gitfea1b99
- update to latest upstream master
- add new %%files and require dbus, polkit and setup to have the directories
- switch to Python 3
- disable build for arm (missing docker)
- Resolves: rhbz#1241947

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.11.gite5734c4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 15 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.10.gite5734c4
- update to latest upstream master

* Tue Mar 03 2015 Colin Walters <walters@redhat.com> - 0-0.9.gita7ff4cb
- Match ExclusiveArch with docker (there is no docker on i686)

* Mon Mar 02 2015 Colin Walters <walters@redhat.com> - 0-0.8.gita7ff4cb
- Drop ExclusiveArch, we are just a wrapper for Docker, which in any
  case builds on other architectures now.

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.7.gita7ff4cb
- remove pylint for rhel/centos

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.6.gita7ff4cb
- runtime requirement: python-docker-py

* Tue Feb 24 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.5.gita7ff4cb
- build commit#a7ff4cb

* Fri Feb 20 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.4.gitf7f6fa8
- Resolves: rhbz#1194058 - approved version, ready for upload
- change license to LGPLv2+

* Thu Feb 19 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.3.gite4081c9
- manpage installation rules upstreamed

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.2.git6b82cb7
- install docs

* Wed Feb 18 2015 Lokesh Mandvekar <lsm5@fedoraproject.org> - 0-0.1.git6b82cb7
- Initial package
